{ config, pkgs, ... }:

{
  home = {
    sessionVariables = {
      EDITOR = "hx";
      VISUAL = "hx";
    };

    file.".config/helix/config.toml".text = ''
      theme = "monokai_pro_spectrum"

      [editor]
      cursorline = true
      true-color = true

      [editor.cursor-shape]
      insert = "bar"
      normal = "block"
      select = "underline"

      [editor.lsp]
      display-messages = true

      [editor.indent-guides]
      render = true

    '';

    file.".config/helix/languages.toml".text = ''
      [[language]]
      name = "nix"
      formatter = { command = "nixpkgs-fmt" }

      [[language]]
      name = "python"
      formatter = { command = "black", args = [ "-" ] }
    '';

    packages = with pkgs.unstablePkgs; [
      black
      helix
      clang-tools
      rust-analyzer
      nil
      python310Packages.python-lsp-server
      texlab
      nodePackages.vscode-langservers-extracted
      nodePackages.typescript
      nodePackages.svelte-language-server
      swiProlog
      nixpkgs-fmt
    ];
  };
}
